Bug 435729 - nVidia MCP55 Ethernet Driver stopped working between 2.6.21-1.3228.fc7 and 2.6.23.15-80.fc7
nVidia MCP55 Ethernet Driver stopped working between 2.6.21-1.3228.fc7 and ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
http://www.isl.uiuc.edu/~sdickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-03 11:14 EST by Stewart Dickson
Modified: 2008-06-16 23:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 23:02:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (1.19 MB, text/plain)
2008-03-03 11:14 EST, Stewart Dickson
no flags Details

  None (edit)
Description Stewart Dickson 2008-03-03 11:14:58 EST
Description of problem:
Ethernet adapter worked under Linux version 2.6.21-1.3228.fc7 
After YUM update 2.6.23.15-80.fc7:
(SYSLOG messages):
Feb 29 10:45:01 bigbox kernel: IP route cache hash table entries: 262144 (order:
9, 2097152 bytes)
Feb 29 10:45:01 bigbox kernel: TCP established hash table entries: 1048576
(order: 12, 25165824 bytes)
Feb 29 10:45:01 bigbox kernel: TCP bind hash table entries: 65536 (order: 8,
1048576 bytes)
Feb 29 10:45:01 bigbox kernel: TCP: Hash tables configured (established 1048576
bind 65536)
Feb 29 10:45:01 bigbox kernel: TCP reno registered

Feb 29 10:45:01 bigbox kernel: TCP cubic registered

Feb 29 10:45:02 bigbox kernel: forcedeth.c: Reverse Engineered nForce ethernet
driver. Version 0.60.

Feb 29 10:45:02 bigbox kernel: forcedeth: using HIGHDMA

Feb 29 10:45:02 bigbox kernel: eth0: forcedeth.c: subsystem: 01043:cb84 bound to
0000:00:11.0
Feb 29 10:45:02 bigbox kernel: ACPI: PCI Interrupt Link [AMC1] enabled at IRQ 21
Feb 29 10:45:02 bigbox kernel: ACPI: PCI Interrupt 0000:00:12.0[A] -> Link
[AMC1] -> GSI 21 (level, low) -> IRQ 21

Feb 29 10:45:02 bigbox kernel: forcedeth: using HIGHDMA

Feb 29 10:45:42 bigbox ntpd[2361]: Listening on interface #0 wildcard,
0.0.0.0#123 Disabled
Feb 29 10:45:42 bigbox ntpd[2361]: Listening on interface #1 wildcard, ::#123
Disabled
Feb 29 10:45:42 bigbox ntpd[2361]: Listening on interface #2 eth0,
fe80::21a:92ff:fe5b:8ce6#123 Enabled
Feb 29 10:45:42 bigbox ntpd[2361]: Listening on interface #3 lo, ::1#123 Enabled
Feb 29 10:45:42 bigbox ntpd[2361]: Listening on interface #4 lo, 127.0.0.1#123
Enabled
Feb 29 10:45:42 bigbox ntpd[2361]: Listening on interface #5 eth0,
130.126.127.150#123 Enabled

Feb 29 10:48:22 bigbox ntpd[2361]: getaddrinfo: "0.fedora.pool.ntp.org" invalid
host address, ignored
Feb 29 10:49:02 bigbox ntpd[2361]: getaddrinfo: "1.fedora.pool.ntp.org" invalid
host address, ignored
Feb 29 10:49:42 bigbox ntpd[2361]: getaddrinfo: "2.fedora.pool.ntp.org" invalid
host address, ignored
Feb 29 10:51:48 bigbox kernel: NETDEV WATCHDOG: eth0: transmit timed out
Feb 29 10:51:48 bigbox kernel: eth0: Got tx_timeout. irq: 00000032
Feb 29 10:51:48 bigbox kernel: eth0: Ring at 22b590000
Feb 29 10:51:48 bigbox kernel: eth0: Dumping tx registers
Feb 29 10:51:48 bigbox kernel:   0: 00002032 000000ff 00000003 000303ca 00000000
00000000 00000000 00000000

Ethernet is non-functional (must patch kernel with USB memory stick)

Version-Release number of selected component (if applicable):
2.6.23.15-80.fc7 

How reproducible:
Well, It's only re-booted the once.
I can try it again and see if anything is different.

Steps to Reproduce:
1. YUM (auto-udpdater)
2. Requires re-start
3. Ethernet non-functional
  
Actual results:
nVidia MCP55 Ethernet Driver stopped working between 2.6.21-1.3228.fc7  and 
2.6.23.15-80.fc7 

Expected results:
Er, didn't expect things to break.

Additional info:
uname -a
Linux bigbox.isl.uiuc.edu 2.6.23.15-80.fc7 #1 SMP Sun Feb 10 16:52:18 EST 2008
x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Stewart Dickson 2008-03-03 11:14:58 EST
Created attachment 296628 [details]
/var/log/messages
Comment 2 Bug Zapper 2008-05-14 11:21:18 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 23:02:28 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.